App Store Connect API

RSS for tag

The App Store Connect API helps you automate tasks usually done on the Apple Developer website and App Store Connect.

App Store Connect API Documentation

Posts under App Store Connect API tag

144 Posts
Sort by:
Post not yet marked as solved
0 Replies
145 Views
Last login: Wed Jun 22 21:07:07 on ttys000 besleagaalexandru@Besleagas-iMac ~ % curl -v https://api.appstoreconnect.apple.com/v1/apps -H Authorization: Bearer JWT *   Trying 17.56.138.14:443... * Connected to api.appstoreconnect.apple.com (17.56.138.14) port 443 (#0) * ALPN, offering h2 * ALPN, offering http/1.1 * successfully set certificate verify locations: *  CAfile: /etc/ssl/cert.pem *  CApath: none * (304) (OUT), TLS handshake, Client hello (1): * (304) (IN), TLS handshake, Server hello (2): * (304) (IN), TLS handshake, Unknown (8): * (304) (IN), TLS handshake, Certificate (11): * (304) (IN), TLS handshake, CERT verify (15): * (304) (IN), TLS handshake, Finished (20): * (304) (OUT), TLS handshake, Finished (20): * SSL connection using TLSv1.3 / AEAD-AES256-GCM-SHA384 * ALPN, server accepted to use h2 * Server certificate: *  subject: businessCategory=Private Organization; jurisdictionCountryName=US; jurisdictionStateOrProvinceName=California; serialNumber=C0806592; C=US; ST=California; L=Cupertino; O=Apple Inc.; OU=management:idms.group.506364; CN=api.appstoreconnect.apple.com *  start date: Mar 29 23:02:18 2022 GMT *  expire date: Apr 28 23:02:17 2023 GMT *  subjectAltName: host "api.appstoreconnect.apple.com" matched cert's "api.appstoreconnect.apple.com" *  issuer: C=US; O=Apple Inc.; CN=Apple Public EV Server RSA CA 2 - G1 *  SSL certificate verify ok. * Using HTTP2, server supports multiplexing * Connection state changed (HTTP/2 confirmed) * Copying HTTP/2 data in stream buffer to connection buffer after upgrade: len=0 * Using Stream ID: 1 (easy handle 0x7fdc94811c00) > GET /v1/apps HTTP/2 > Host: api.appstoreconnect.apple.com > user-agent: curl/7.79.1 > accept: */* >  * Connection state changed (MAX_CONCURRENT_STREAMS == 1024)! < HTTP/2 401  < server: daiquiri/3.0.0 < date: Wed, 22 Jun 2022 18:19:53 GMT < content-type: application/json < content-length: 350 < strict-transport-security: max-age=31536000; includeSubDomains < x-apple-jingle-correlation-key: TZWEA7WLMROU6HAI3D3FNR6M6I < x-daiquiri-instance: daiquiri:18493001:mr85p00it-hyhk03154801:7987:22RELEASE83:daiquiri-amp-all-shared-ext-001-mr <  { "errors": [{ "status": "401", "code": "NOT_AUTHORIZED", "title": "Authentication credentials are missing or invalid.", "detail": "Provide a properly configured and signed bearer token, and make sure that it has not expired. Learn more about Generating Tokens for API Requests https://developer.apple.com/go/?id=api-generating-tokens" }] * Connection #0 to host api.appstoreconnect.apple.com left intact }* Could not resolve host: Bearer * Closing connection 1 curl: (6) Could not resolve host: Bearer * Could not resolve host: JWT * Closing connection 2 curl: (6) Could not resolve host: JWT besleagaalexandru@Besleagas-iMac ~ %  I used the "the private key associated with the key ID you specified in the header to sign the token" and received the error specified that I don't manage to undederstand in these context. Can you provide an example of signed token ? Kind Regards
Posted Last updated
.
Post not yet marked as solved
1 Replies
201 Views
I have the JWT header and the JWT payload and I want to know how to create a authorisation header for the signed JWT Token and from where to run the command line to process the request. Do I need to to run it from the Terminal App or from Xcode and compile the command line ?
Posted Last updated
.
Post not yet marked as solved
1 Replies
235 Views
Hi Everyone, I'm trying to generate a token for API requests on the AppStore Connect, I follow the following procedure : https://developer.apple.com/documentation/appstoreconnectapi/generating_tokens_for_api_requests#3878467 Everything works fine until I have to sign the JWT on JWT.io. On JWT.io they ask for the public and private key to generate the encoded token. I got the private key from AppStore Connect but where can i get the public key linked to my private key ? Thank you in advance, it would be very helpful if someone has already solved this. Tristan
Posted
by Dev_RAS.
Last updated
.
Post not yet marked as solved
1 Replies
171 Views
Hello, Is there any Apple API to reply/report customer reviews?
Posted
by Lamyae.
Last updated
.
Post not yet marked as solved
4 Replies
362 Views
I'm trying to generate a JWT Token to use the App Store Connect API But I don't know how to specify the path variable in the scope that I want to allow. https://developer.apple.com/documentation/appstoreconnectapi/generating_tokens_for_api_requests For example, I want to allow a scope like this { …, “scope”: [ “GET /v1/builds/{id}/app” ] } Do you have any suggestions?
Posted
by taktem.
Last updated
.
Post not yet marked as solved
141 Replies
25k Views
I'm submitting a new version of my app, and after click "submit for Review", it show that: A few more items are needed in order to submit for review The items listed below are required for submission:There are still screenshot uploads in progress. I didn't met this problem before. Is that mean I haven't upload all the screenshot required or it's still uploading the screenshots to App Store Connect's server? Cause before there is a "save" button after you drag images to the screenshots area, now you don't. And I think I have uploaded all the screenshots needed and I waited a day to try submit again, still the same. What should I do?
Posted
by yadayado.
Last updated
.
Post marked as solved
1 Replies
200 Views
I create app for automatic loading of screenshots and texts for various localizations of the application to the AppStore Connect (for our company use), everything works well. Authorization use JWT. But I receive messages from my ASO department that an error occurs with some unspecified frequency: [401]NOT_AUTHORIZED: Authentication credentials are missing or invalid. I couldn't reproduce the problem myself. Can someone suggest what could be the problem?
Posted Last updated
.
Post not yet marked as solved
2 Replies
254 Views
We followed all the documentation, tried several combinations, but always returning 401. the below is being used in a nodejs application. let options = { algorithm: 'ES256', header: { 'alg': 'ES256', 'typ': 'JWT', 'kid': keyId } }; let now = Math.round((new Date()).getTime() / 1000); // Notice the /1000 let nowPlus20 = now + 1199 // 1200 === 20 minutes; const claims = { "iss": issuerId, "exp": nowPlus20, "aud": "appstoreconnect-v1" }; return jwt.sign(claims, key, options); Please advise and provide some feedbacks, some solutions.
Posted
by ir0nDev.
Last updated
.
Post not yet marked as solved
0 Replies
139 Views
Recently my app was rejected because I have accidentally included two subscription groups that I did not intend to sell. In the current App Store Connect UI, I don't see a way to remove the subscription groups from this version, or entirely from the account. These items have never been on sale. Does anyone know how to fix this issue?
Posted
by joetam.
Last updated
.
Post not yet marked as solved
1 Replies
200 Views
I'm working with the app store connect api. I'd like to update the keywords for an appStoreVersionLocalization. I'm getting the following error code: ENTITY_ERROR.ATTRIBUTE.INVALID.TOO_LONG And I've tried limiting the length of the keywords using: let shortenedKeywords = String(keywords.prefix(100)) But I'm still running into the mentioned error. The following string is valid: ตัวแก้ไข xliff, การแปลเป็นภาษาท้องถิ่น, เครื่องมือ xliff, xcode, การแปล xliff, xcloc, การแปลงข้อความ and it returns a character count of 91. If I do something like:      let shortenedKeywords = String(keywords.prefix(80)) The error goes away. Mostly hoping to understand why/how the character limit is calculated for Thai and if it's somehow different. Thanks! Full error included below: String data is: {  "errors" : [ {   "id" : "d4813683-949d-4a62-b4d2-7aac248add3c",   "status" : "409",   "code" : "ENTITY_ERROR.ATTRIBUTE.INVALID.TOO_LONG",   "title" : "An attribute value is too long.",   "detail" : "Keywords for Thai cannot be longer than 100 characters.",   "source" : {    "pointer" : "/data/attributes/keywords"   }  } ] } This is an example request: curl -X "PATCH" "https://api.appstoreconnect.apple.com/v1/appStoreVersionLocalizations/{id}" \ -H 'Authorization: Bearer {token}' \ -H 'Content-Type: application/json; charset=utf-8' \ -d $'{ "data": { "type": "appStoreVersionLocalizations", "attributes": { "keywords": "ตัวแก้ไข xliff, การแปลเป็นภาษาท้องถิ่น, เครื่องมือ xliff, xcode, การแปล xliff, xcloc, การแปลงข้อความ xliff" }, "id": "a4f0ba21-a8ea-4d6b-a162-bf34f36268cc" } }'
Posted
by joestone.
Last updated
.
Post not yet marked as solved
1 Replies
215 Views
I'm developing an in-house app which receives a bundle from a POST request and i have to upload that bundle to the App Store. So i did some research and found that i can upload my apps to the App Store manually using Transporter tool. The problem is that i need my app to upload this bundle for me, automatically. For this reason, i'm asking you if there is some kind of API to use the Transporter services through my own app, or if the only way to upload apps to the App Store is using Transporter manually. Thank you.
Posted Last updated
.
Post not yet marked as solved
0 Replies
150 Views
Hi! I'm new to automating in the Apple Store Connect environment. I'm trying to check in-app purchase scenarios, but I want to create a new sandbox tester before it automatically. Can someone know how to create a new user sandbox tester? (Is there a way in API? ) Many thanks to the helpers Amir
Posted
by Amiryiz.
Last updated
.
Post not yet marked as solved
1 Replies
783 Views
Hello fellow devs, I'm looking to setup server-to-server notifications for application install (and onboarding completed). Basically, I need some kind of webhook such that when the application is installed by someone our server will get notified. Based on Apple's docs (link below), it appears I can define it under the "App Information" section and field "URL for App Store Server Notifications" of App Store Connect, but I don't see it (wish I could attach screenshots). https://help.apple.com/app-store-connect/#/dev0067a330b Maybe it's because the app is in TestFlight? Is the link only available for apps that are published on the App Store? Can someone please help? It's a real problem that I've spent days trying to figure out?
Posted
by mhannah15.
Last updated
.
Post not yet marked as solved
0 Replies
139 Views
Dear, I would like to call the API to get my app data from the Analytics parts: we're talking about downloads, conversion rate, impressions, etc. so everything but the sales and financial reports. Is this possible? I do not see any documentation on it. If not, any other option is welcome ! Thanks in advance for your help ! Best, D.
Posted
by XoliloX.
Last updated
.
Post marked as solved
1 Replies
420 Views
I am currently trying to fetch sales reports from the App Store Connect API. Fetching /v1/financeReports gives a response to work with, but when fetching /v1/SalesReports I get forwarded to idmsac.corp.apple.com which cannot be resolved, thus the request fails. The url is as follows https://api.appstoreconnect.apple.com/v1/SalesReports?filter[reportType]=SALES&filter[reportSubType]=SUMMARY&filter[frequency]=DAILY&filter[vendorNumber]=***&filter[reportDate]=2021-04-01 Changing any of the parameters does not help either.
Posted
by ThePsyjo.
Last updated
.
Post marked as solved
3 Replies
14k Views
Hi, I am looking for a way to get my app into app store connect with as little human intervention as possible. After doing some research through the web I have code that makes archives,profiles and generates a .ipa file that can be installed on an ipad via a link. This is done by using the xcode bash commands.However what I actually need is a way to get my app into the app store connect mostly through code with as little human intervention as possible. I am aware of the signing process having to be manual and that is ok. Basically I want something similar to how https://thunkable.com/#/handles the way an app is published to the app store. They have the user produce certificate based on a key that they generate and make the user generate an app specific password from their apple developer account. Then somehow they have the app appear in your app store connect account.I would like to know how to so something like that.thank you
Posted
by atul109.
Last updated
.
Post not yet marked as solved
1 Replies
192 Views
The current online version is 1.4.9 which does not show any video I've uploaded, it keeps showing "This file has been uploaded and is processing." So I tried to build a new version 1.4.10, but the video is still showing that, so what should I do to solve this issue? App Store link: https://apps.apple.com/app/id1575588022 Screenshots: 1.4.9 1.4.10 Video info:
Posted
by ZedHuang.
Last updated
.